
/*
* Esta funcion es la encargada de enviar los datos a ThingSpeak
*   myChannelNumber1 - Número identificador del canal de ThingSpeak al que se envían los datos.
*   myWriteAPIKey1 - Clave de escritura del canal
*   fieldt - Campo del canal en el que se escribe la temperatura
*   fieldh - Campo del canal en el que se escribe la humedad
*   dataSend[] - Datos de temperatura y humedad leidos por el sensor
*   
*/

void sendingData(unsigned long myChannelNumber1, char * myWriteAPIKey1,const unsigned int fieldt,const unsigned int fieldh, float dataSend[])
{
  float temp;
  float hum;

  temp = dataSend[0];
  hum = dataSend[1];
  
  // Carga los valores a enviar
  ThingSpeak.setField(fieldt, temp); //field 1
  ThingSpeak.setField(fieldh, hum); //field 2

    
  // Escribe todos los campos a la vez.
  ThingSpeak.writeFields(myChannelNumber1, myWriteAPIKey1);
  
  //Escribe primero en el campo 1 y despues en el campo 2
  
  //ThingSpeak.writeField(myChannelNumber, fieldt, temp, myWriteAPIKey1);
  //ThingSpeak.writeField(myChannelNumber, fieldh, hum, myWriteAPIKey1);


  Serial.println("\n¡Datos enviados a ThingSpeak!");

}



/*
* Esta funcion se encargada de  leer los datos enviados desde ThingSpeak
*   myChannelNumber2 - Número identificador del canal de ThingSpeak del que se van a leer los datos.
*   fieldLED - Campo del canal del que se van a leer los datos
*   myReadAPIKey2 - Clave de lectura del canal
*   
*/

void readingData(unsigned long myChannelNumber2, unsigned int fieldLED, char* myReadAPIKey2)
{
  
    int data = 0;

  // Se leen los datos del canal de ThingSpeak
    data = ThingSpeak.readFloatField(myChannelNumber2, fieldLED, myReadAPIKey2);
    Serial.println("\nDato leido de ThingSpeak "+String(data));
    
  //Si se recibe un 1 el LED se enciende y si se recibe un 0 se apaga
    if(data == 1){
      digitalWrite(LED, HIGH);
      Serial.println("LED ON\n");
    }
    else{
      digitalWrite(LED, LOW);
      Serial.println("LED OFF\n");
    }

}
